Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# osg::Drawable::ConstAttributeFunctor Class Reference

List of all members.

## Public Member Functions
virtual | ~ConstAttributeFunctor ()
virtual void | apply (AttributeType, const unsigned int, const GLbyte *)
virtual void | apply (AttributeType, const unsigned int, const GLshort *)
virtual void | apply (AttributeType, const unsigned int, const GLint *)
virtual void | apply (AttributeType, const unsigned int, const GLubyte *)
virtual void | apply (AttributeType, const unsigned int, const GLushort *)
virtual void | apply (AttributeType, const unsigned int, const GLuint *)
virtual void | apply (AttributeType, const unsigned int, const float *)
virtual void | apply (AttributeType, const unsigned int, const Vec2 *)
virtual void | apply (AttributeType, const unsigned int, const Vec3 *)
virtual void | apply (AttributeType, const unsigned int, const Vec4 *)
virtual void | apply (AttributeType, const unsigned int, const Vec4ub *)

## Constructor & Destructor Documentation

virtual osg::Drawable::ConstAttributeFunctor::~ConstAttributeFunctor | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual void osg::Drawable::ConstAttributeFunctor::apply | ( | AttributeType | ,
|  | const unsigned | int,
|  | const Vec4ub * |
| ) | `[inline, virtual]`

virtual void osg::Drawable::ConstAttributeFunctor::apply | ( | AttributeType | ,
|  | const unsigned | int,
|  | const Vec4 * |
| ) | `[inline, virtual]`

virtual void osg::Drawable::ConstAttributeFunctor::apply | ( | AttributeType | ,
|  | const unsigned | int,
|  | const Vec3 * |
| ) | `[inline, virtual]`

virtual void osg::Drawable::ConstAttributeFunctor::apply | ( | AttributeType | ,
|  | const unsigned | int,
|  | const Vec2 * |
| ) | `[inline, virtual]`

virtual void osg::Drawable::ConstAttributeFunctor::apply | ( | AttributeType | ,
|  | const unsigned | int,
|  | const float * |
| ) | `[inline, virtual]`

virtual void osg::Drawable::ConstAttributeFunctor::apply | ( | AttributeType | ,
|  | const unsigned | int,
|  | const GLuint * |
| ) | `[inline, virtual]`

virtual void osg::Drawable::ConstAttributeFunctor::apply | ( | AttributeType | ,
|  | const unsigned | int,
|  | const GLushort * |
| ) | `[inline, virtual]`

virtual void osg::Drawable::ConstAttributeFunctor::apply | ( | AttributeType | ,
|  | const unsigned | int,
|  | const GLubyte * |
| ) | `[inline, virtual]`

virtual void osg::Drawable::ConstAttributeFunctor::apply | ( | AttributeType | ,
|  | const unsigned | int,
|  | const GLint * |
| ) | `[inline, virtual]`

virtual void osg::Drawable::ConstAttributeFunctor::apply | ( | AttributeType | ,
|  | const unsigned | int,
|  | const GLshort * |
| ) | `[inline, virtual]`

virtual void osg::Drawable::ConstAttributeFunctor::apply | ( | AttributeType | ,
|  | const unsigned | int,
|  | const GLbyte * |
| ) | `[inline, virtual]`

The documentation for this class was generated from the following file:

- Drawable